Next: _gfortran_caf_failed_images, Previous: _gfortran_caf_num_images, Up: Function ABI Documentation

#### 7.2.5 `_gfortran_caf_image_status` — Query the status of an image

Description:
  Get the status of the image given by the id image of the team given by team. Valid results are zero, for image is ok, `STAT_STOPPED_IMAGE` from the ISO_FORTRAN_ENV module to indicate that the image has been stopped and `STAT_FAILED_IMAGE` also from ISO_FORTRAN_ENV to indicate that the image has executed a `FAIL IMAGE` statement.
Syntax:
  `int _gfortran_caf_image_status (int image, caf_team_t * team)`
Arguments:

  image | the positive scalar id of the image in the current TEAM.
  team | optional; team on the which the inquiry is to be performed.

NOTES
  This function follows TS18508. Because team-functionality is not yet implemented a null-pointer is passed for the team argument at the moment.